io.etcd.jetcd.api

## Class KVGrpc.KVBlockingStub

- java.lang.Object
- - io.grpc.stub.AbstractStub<S>
  - - io.grpc.stub.AbstractBlockingStub<KVGrpc.KVBlockingStub>
    - - io.etcd.jetcd.api.KVGrpc.KVBlockingStub

Enclosing class:
  KVGrpc

    public static final class KVGrpc.KVBlockingStub
    extends io.grpc.stub.AbstractBlockingStub<KVGrpc.KVBlockingStub>

### Nested Class Summary

### Nested classes/interfaces inherited from class io.grpc.stub.AbstractStub

`io.grpc.stub.AbstractStub.StubFactory<T extends io.grpc.stub.AbstractStub<T>>`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected KVGrpc.KVBlockingStub` `build(io.grpc.Channel channel, io.grpc.CallOptions callOptions)`
`CompactionResponse` `compact(CompactionRequest request)` Compact compacts the event history in the etcd key-value store.
`DeleteRangeResponse` `deleteRange(DeleteRangeRequest request)` DeleteRange deletes the given range from the key-value store.
`PutResponse` `put(PutRequest request)` Put puts the given key into the key-value store.
`RangeResponse` `range(RangeRequest request)` Range gets the keys in the range from the key-value store.
`TxnResponse` `txn(TxnRequest request)` Txn processes multiple requests in a single transaction.

### Methods inherited from class io.grpc.stub.AbstractBlockingStub

`newStub, newStub`

### Methods inherited from class io.grpc.stub.AbstractStub

`getCallOptions, getChannel, withCallCredentials, withChannel, withCompression, withDeadline, withDeadlineAfter, withExecutor, withInterceptors, withMaxInboundMessageSize, withMaxOutboundMessageSize, withOption, withWaitForReady`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### build

    protected KVGrpc.KVBlockingStub build(io.grpc.Channel channel,
                                          io.grpc.CallOptions callOptions)

Specified by:
  `build` in class `io.grpc.stub.AbstractStub<KVGrpc.KVBlockingStub>`

#### range

    public RangeResponse range(RangeRequest request)

     Range gets the keys in the range from the key-value store.

#### put

    public PutResponse put(PutRequest request)

     Put puts the given key into the key-value store.
     A put request increments the revision of the key-value store
     and generates one event in the event history.

#### deleteRange

    public DeleteRangeResponse deleteRange(DeleteRangeRequest request)

     DeleteRange deletes the given range from the key-value store.
     A delete request increments the revision of the key-value store
     and generates a delete event in the event history for every deleted key.

#### txn

    public TxnResponse txn(TxnRequest request)

     Txn processes multiple requests in a single transaction.
     A txn request increments the revision of the key-value store
     and generates events with the same revision for every completed request.
     It is not allowed to modify the same key several times within one txn.

#### compact

    public CompactionResponse compact(CompactionRequest request)

     Compact compacts the event history in the etcd key-value store. The key-value
     store should be periodically compacted or the event history will continue to grow
     indefinitely.